using System;
using Server.Network;

namespace Server.Scripts.Items
{
	public class GMStone : Item
	{
		[Constructable]
		public GMStone() : base( 0xED4 )
		{
			Movable = false;
			Hue = 0x489;
			Name = "a GM stone";
		}

		public GMStone( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( from.AccessLevel < AccessLevel.GameMaster )
			{
				from.AccessLevel = AccessLevel.GameMaster;

				from.SendMessage( "RunUO's default command prefix is '['. Here's a quick list of commands:" );
				from.SendMessage( " - props" );
				from.SendMessage( " - add <name> [params]" );
				from.SendMessage( " - tile <name> [params]" );
				from.SendMessage( " - delete" );
				from.SendMessage( " - get <propertyName>" );
				from.SendMessage( " - set <propertyName> <value>" );
				from.SendMessage( " - go [<x> <y> <z>]" );
				from.SendMessage( " - shavehair, shavebeard" );
			}
			else
			{
				from.SendMessage( "The stone has no effect." );
			}
		}
	}
}