using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Staves
{
	public class QuarterStaff : BaseWeapon
	{
		[Constructable]
		public QuarterStaff() : base( 8, 28, 48, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Staff, WeaponAnimation.Bash2H, 0xE89, Layer.TwoHanded )
		{
			Weight = 3.0;
		}

		public QuarterStaff( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}