using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Swords
{
	public class Broadsword : BaseWeapon
	{
		[Constructable]
		public Broadsword() : base( 5, 29, 45, 0x237, 0x23A, 1, SkillName.Swords, WeaponType.Slashing, WeaponAnimation.Slash1H, 0xF5E, Layer.OneHanded )
		{
			Weight = 3.0;
		}

		public Broadsword( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}