using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Swords
{
	public class Katana : BaseWeapon
	{
		[Constructable]
		public Katana() : base( 5, 26, 58, 0x23B, 0x23A, 1, SkillName.Swords, WeaponType.Slashing, WeaponAnimation.Slash1H, 0x13FF, Layer.OneHanded )
		{
			Weight = 3.0;
		}

		public Katana( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}