using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Maces
{
	public class SmithHammer : BaseWeapon
	{
		[Constructable]
		public SmithHammer() : base( 6, 18, 30, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Bashing, WeaponAnimation.Bash1H, 0x13E4, Layer.OneHanded )
		{
			Weight = 1.0;
		}

		public SmithHammer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}